#!/bin/sh
# the next line restarts using wish \
exec wish "$0" "$@"

###############################################################
# Minihelp Viewer
# Charlie KEMPSON - charlie@siren.demon.co.uk
# http://public.logica.com/~kempsonc
###############################################################

set dir [file dirname [info script]]
source $dir/global.tcl
source $dir/dialog.tcl
source $dir/utils.tcl
source $dir/help.tcl
source $dir/parser.tcl
source $dir/minihelp_filter.tcl

wm title . "MiniHelp Viewer"
wm withdraw .

set help_file [lindex $argv 0]
if {$help_file == ""} {
   set help_file [File_Select "Select Help File"]
}
if {$help_file == ""} {exit}

set gs_image_base_dir "$dir/Images"
text .text; pack .text
MH_ReadSGMLFile $help_file .text
destroy .text

MH_MiniHelp Contents

tkwait window .mini_help_window

exit
