###############################################################
# TkNet - Global Variables
# Charlie KEMPSON - charlie@siren.demon.co.uk
# http://public.logica.com/~kempsonc/tknet.htm
# Version 1.1
###############################################################

###############################################################
#
#    Copyright (c) 1995-1996 Charlie Kempson
#
#    This program is free software; you can redistribute it 
#    and/or modify it under the terms of the GNU General 
#    Public License as published by the Free Software 
#    Foundation (version 2 of the License).
#
#    This program is distributed in the hope that it will 
#    be useful, but WITHOUT ANY WARRANTY; without even the 
#    implied warranty of MERCHANTABILITY or FITNESS FOR A 
#    PARTICULAR PURPOSE.  See the GNU General Public License 
#    for more details.
#
#    For a copy of the GNU General Public License, write to the 
#    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
#    MA 02139, USA.
###############################################################

# Initialise constants
set FIXED_FONT_SMALL   -*-courier-medium-r-*-*-*-*-*-*-*-*-*-*
set FIXED_FONT          -*-courier-medium-r-*-*-14-*-*-*-*-*-*-*
set FONT_SMALL          -adobe-helvetica-medium-r-*-*-*-*-*-*-*-*-*-*
set FONT_NORMAL         -adobe-helvetica-medium-r-*-*-14-*-*-*-*-*-*-*
set FONT_ITALIC         -adobe-helvetica-medium-o-*-*-14-*-*-*-*-*-*-*
set FONT_BOLD           -adobe-helvetica-bold-r-*-*-14-*-*-*-*-*-*-*
set BUTTON_COLOUR       Grey65
set TEXT_COLOUR         White
set DEFAULT_COLOUR      Grey75
set HELP_COLOUR         HotPink4
set RED                 Red
set GREEN               ForestGreen
set VERSION             1.1
set DATE                (12/1/95)
set LOWER_BORDER        3
set RIDGE_BORDER        2
set DEFAULT_PADDING     5
set OPTION_TEXT_LENGTH  30
set OPTION_LABEL_LENGTH 15
set LABEL_LENGTH        15

# Set Tk/tcl global variables
set tk_strictMotif      1
set tcl_precision       3
set gb_have_expect      0

###############################################################
# Set application defaults

# Fonts
option add *font $FONT_NORMAL startupFile

# Highlight
option add *highlightThickness 0

# Colours
option add *background  $DEFAULT_COLOUR startupFile
option add *Text.background  $TEXT_COLOUR startupFile
option add *Entry.background  $TEXT_COLOUR startupFile

